%define upstream_name    KiokuDB
%define upstream_version 0.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Common functionality for JSPON
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Cache::Ref) >= 0.20.0
BuildRequires: perl(Cache::Ref::CART)
BuildRequires: perl(Cache::Ref::CLOCK)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Stream::Bulk) >= 0.80.0
BuildRequires: perl(Data::Stream::Bulk::Callback)
BuildRequires: perl(Data::Stream::Bulk::Util)
BuildRequires: perl(Data::Swap)
BuildRequires: perl(Data::UUID) >= 1.203.0
BuildRequires: perl(Data::Visitor) >= 0.240.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON) >= 2.120.0
BuildRequires: perl(JSON::XS) >= 2.231.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Clone) >= 0.40.0
BuildRequires: perl(MooseX::Clone::Meta::Attribute::Trait::NoClone)
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.100.0
BuildRequires: perl(MooseX::YAML) >= 0.40.0
BuildRequires: perl(POSIX)
BuildRequires: perl(PadWalker) >= 1.900.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Search::GIN::Driver)
BuildRequires: perl(Search::GIN::Driver::Hash)
BuildRequires: perl(Search::GIN::Extract)
BuildRequires: perl(Search::GIN::Extract::Class)
BuildRequires: perl(Search::GIN::Extract::Delegate)
BuildRequires: perl(Search::GIN::Query::Class) >= 0.30.0
BuildRequires: perl(Set::Object) >= 1.260.0
BuildRequires: perl(Storable)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Throwable)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(Tie::ToObject)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::XS) >= 0.300.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(namespace::clean) >= 0.80.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the KiokuDB manpage is a Moose based frontend to various data stores,
somewhere in between the Tangram manpage and the Pixie manpage.

Its purpose is to provide persistence for "regular" objects with as little
effort as possible, without sacrificing control over how persistence is
actually done, especially for harder to serialize objects.

the KiokuDB manpage is also non-invasive: it does not use ties, 'AUTOLOAD',
proxy objects, 'sv_magic' or any other type of trickery.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.570.0-6pclos2017
- rebuild against updates

